Bug 1170233 (CVE-2014-9274, CVE-2014-9275) - CVE-2014-9274 CVE-2014-9275 unrtf: out-of-bounds memory access vulnerability
Summary: CVE-2014-9274 CVE-2014-9275 unrtf: out-of-bounds memory access vulnerability
Status: CLOSED UPSTREAM
Alias: CVE-2014-9274, CVE-2014-9275
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141124,repor...
Keywords: Security
Depends On: 1170235 1170236 1170237
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 14:36 UTC by Vincent Danen
Modified: 2019-06-08 20:18 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:36:59 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-12-03 14:36:30 UTC
Michal Zalewski reported [1] an out-of-bounds memory access vulnerability in unrtf.  Processing a malformed RTF file could lead to a segfault while accessing a pointer that may be under the attacker's control.  This would lead to a denial of service (application crash) or, potentially, the execution of arbitrary code.

Hanno Böck also reported [2] a number of other crashes in unrtf.

There has been no response upstream regarding this (it seems that unrtf is no longer being maintained) so there is no patch available as of yet.

[1] https://lists.gnu.org/archive/html/bug-unrtf/2014-11/msg00001.html
[2] https://lists.gnu.org/archive/html/bug-unrtf/2014-11/msg00000.html

Comment 1 Vincent Danen 2014-12-03 14:38:50 UTC
CVE request on oss-sec here:

http://www.openwall.com/lists/oss-security/2014/12/03/4

Comment 2 Vincent Danen 2014-12-03 14:41:15 UTC
Created unrtf tracking bugs for this issue:

Affects: fedora-all [bug 1170235]
Affects: epel-6 [bug 1170236]
Affects: epel-7 [bug 1170237]

Comment 3 Vincent Danen 2014-12-04 14:41:33 UTC
This likely will require more than one CVE, but we'll see what MITRE says/does.  Mentioning both reports here is ok as there are no patches available for any of it.

Comment 4 Martin Prpič 2014-12-05 13:19:17 UTC
MITRE assigned two CVEs (CVE-2014-9274, CVE-2014-9275) to these issues:

http://seclists.org/oss-sec/2014/q4/904

Comment 5 Ken Dreyer 2014-12-17 18:28:25 UTC
Jean-Francois Dockes proposed fixes for both CVEs.

CVE-2014-9274 is addressed by
https://lists.gnu.org/archive/html/bug-unrtf/2014-12/msg00000.html

CVE-2014-9275 is addressed by
https://lists.gnu.org/archive/html/bug-unrtf/2014-12/msg00001.html

All three changes were incorporated upstream and shipped as a part of unrtf 0.21.6. (http://hg.savannah.gnu.org/hgweb/unrtf/rev/891c2f431c90)

So we should just push the newer version (0.21.6 or later) to all Fedora and EPEL branches.

Comment 6 Fedora Update System 2015-01-03 00:12:44 UTC
unrtf-0.21.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-03 00:14:39 UTC
unrtf-0.21.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-03 19:04:06 UTC
unrtf-0.21.7-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Product Security DevOps Team 2019-06-08 02:36:59 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.